Attention: F16 packages needing rebuilds due to the trailing slash bug of rpm-4.9.1

Adam Jackson ajax at redhat.com
Wed Aug 17 14:41:46 UTC 2011


On 8/17/11 5:51 AM, Panu Matilainen wrote:
> Hi all,
>
> Due to the brown paperbag bug of rpm-4.9.1 causing unwanted trailing
> slashes on directories (with various nasty side-effects), the following
> packages in F16 require rebuilding. The sooner the better to stop
> spreading the damage but at any rate, before F16 final:

Of the affected packages, the following already have a newer build in 
f16-updates-pending, meaning they've been through bodhi and are just 
waiting for the alpha to be pushed out:

filesystem-2.4.44-1.fc16
freetype-2.4.6-1.fc16
ibus-1.3.99.20110419-14.fc16
quagga-0.99.18-8.fc16
rb_libtorrent-0.15.7-1.fc16
rubygem-foreigner-1.1.1-1.fc16
soprano-2.7.0-1.fc16
squid-3.2.0.10-1.fc16
sugar-turtleart-113-1.fc16
volumeicon-0.4.1-3.fc16

The following have a newer build in f16-updates-testing, meaning an 
update is in bodhi but (if not also in the list above) has not yet been 
pushed to stable:

accountsservice-0.6.13-2.fc16
akonadi-1.6.0-4.fc16
askbot-0.7.17-1.fc16
audacious-3.0.1-1.fc16
audacious-plugins-3.0.1-1.fc16
BackupPC-3.2.1-1.fc16.1
chkconfig-1.3.54-2.fc16
couchdb-1.0.3-2.fc16
cvs-1.11.23-21.fc16
device-mapper-multipath-0.4.9-18.fc16
ecryptfs-utils-90-1.fc16
filesystem-2.4.44-1.fc16
freetype-2.4.6-1.fc16
ibus-1.3.99.20110419-14.fc16
isdn4k-utils-3.2-79.fc16
libgcrypt-1.5.0-2.fc16
libibverbs-1.1.5-5.fc16
matahari-0.4.2-1.fc16.1
ntp-4.2.6p3-5.fc16.1
openldap-2.4.26-1.fc16.1
openpts-0.2.5-2.fc16
opensm-3.3.9-2.fc16
qemu-0.15.0-0.3.201108040af4922.fc16
qpid-cpp-0.10-4.fc16.1
qt3-3.3.8b-36.fc16.1
quagga-0.99.18-8.fc16
rb_libtorrent-0.15.7-1.fc16
rubygem-foreigner-1.1.1-1.fc16
soprano-2.7.0-1.fc16
squid-3.2.0.10-1.fc16
sugar-turtleart-113-1.fc16
thunderbird-5.0-3.fc16
transmission-2.33-1.fc16.1
volumeicon-0.4.1-3.fc16
xen-4.1.1-3.fc16
xine-ui-0.99.6-27.fc16.1

Note, however, that I've not checked which version of rpm these were 
built with.

For reference, to build these lists, copy Panu's original list to a file 
and (for updates-testing):

for i in $(cat panu-list) ; do
     j=$(koji -q latest-pkg f16-updates-testing $(rpmname $i) | \
         awk '{ print $1 }')
     rpmdev-vercmp $i $j >& /dev/null
     [ $? == 12 ] && echo $j
done

- ajax


More information about the devel mailing list